Loading...
Searching...
No Matches
gr::trellis::interleaver Class Reference
GNU Radio C++ Signal Processing Blocks » Trellis Coding

INTERLEAVER class. More...

`#include <gnuradio/trellis/interleaver.h>`

## Public Member Functions

| interleaver ()
| interleaver (const interleaver &INTERLEAVER)
| interleaver (unsigned int K, const std::vector< int > &INTER)
| interleaver (const char *name)
| interleaver (unsigned int K, int seed)
unsigned int | K () const
const std::vector< int > & | INTER () const
const std::vector< int > & | DEINTER () const
void | write_interleaver_txt (std::string filename)

## Detailed Description

INTERLEAVER class.

## Constructor & Destructor Documentation

## interleaver() [1/5]

gr::trellis::interleaver::interleaver | ( |  | ) |

## interleaver() [2/5]

gr::trellis::interleaver::interleaver | ( | const interleaver & | INTERLEAVER | ) |

## interleaver() [3/5]

gr::trellis::interleaver::interleaver | ( | unsigned int | K,
|  | const std::vector< int > & | INTER )

## interleaver() [4/5]

gr::trellis::interleaver::interleaver | ( | const char * | name | ) |

## interleaver() [5/5]

gr::trellis::interleaver::interleaver | ( | unsigned int | K,
|  | int | seed )

## Member Function Documentation

## DEINTER()

const std::vector< int > & gr::trellis::interleaver::DEINTER | ( |  | ) | const

inline

## INTER()

const std::vector< int > & gr::trellis::interleaver::INTER | ( |  | ) | const

inline

## K()

unsigned int gr::trellis::interleaver::K | ( |  | ) | const

inline

## write_interleaver_txt()

void gr::trellis::interleaver::write_interleaver_txt | ( | std::string | filename | ) |

The documentation for this class was generated from the following file:

- interleaver.h